com.explodingpixels.painter

## Interface MacWidgetsPainter<T>

- All Known Implementing Classes:
    ButtonStatePainter, ButtonStatePainter.DummyPainter, CompoundPainter, FocusStatePainter, GradientPainter, GradientWithBorderPainter, ImagePainter, RectanglePainter, ScrollThumbImagePainter

      public interface MacWidgetsPainter<T>

  An interface that allows painting to be delegated. The implementation of this interface will be called during the painting process of the given `objectToPaint`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `paint(Graphics2D graphics, T objectToPaint, int width, int height)` Renders to the given `Graphics2D`.

- - ### Method Detail

    - #### paint

          void paint(Graphics2D graphics,
                   T objectToPaint,
                   int width,
                   int height)

      Renders to the given `Graphics2D`. The supplied graphics context may be modified - it's state need not be restored upon completion of painting.
      Parameters:
        `graphics` - the graphics context to paint into. It's state need not be restored. Will not be null.
        `objectToPaint` - the object to be painted.
        `width` - the width within the object to paint.
        `height` - the height within the object to paint.